Page MenuHomePhabricator

Watchlist shouldn't re-render
Closed, ResolvedPublic

Description

Visit http://en.m.wikipedia.beta.wmflabs.org/wiki/Special:EditWatchlist on a screen resolution of 768px or greater
and you'll notice a view-border-box class gets unnecessarily added to the element with classes "watchlist content-unstyled page-list thumbs page-summary-list view-border-box"

This shouldn't happen and causes a visible styling regression.

Expected:

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRemove the unneeded view-border-box class from the watchlist

Event Timeline

Jdlrobson raised the priority of this task from to High.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to Backlog on the MobileFrontend board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 9:36 PM

Will work on the bug soon.

Jdlrobson updated the task description. (Show Details)Sep 29 2015, 10:44 PM
Jdlrobson set Security to None.
Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Nov 4 2015, 5:01 PM
bmansurov claimed this task.Dec 3 2015, 1:29 PM
phuedx added a subscriber: phuedx.Dec 3 2015, 1:53 PM

@bmansurov: Where's the change associated with this task?

Change 256677 had a related patch set uploaded (by Bmansurov):
Remove the unneeded view-border-box class from the watchlist

https://gerrit.wikimedia.org/r/256677

Didn't see ! [remote rejected] until you mentioned the patch, @phuedx. Thanks

Change 256677 merged by jenkins-bot:
Remove the unneeded view-border-box class from the watchlist

https://gerrit.wikimedia.org/r/256677

Jdlrobson closed this task as Resolved.Dec 3 2015, 10:13 PM